dofile("scripts/entities/entityinclude.lua")

function init(me)
end

function update(me, dt)
	if isFlag(FLAG_SUNTEMPLE_LIGHTCRYSTAL, 0) then
		light = node_getNearestEntity(me, "LightCrystalCharged")
		if light ~= 0 and node_isEntityIn(me, light) then
			setFlag(FLAG_SUNTEMPLE_LIGHTCRYSTAL, 1)
		end
	end
end
